Bug 573294 - Review Request: kadu - An instant messanger compatile with the Gadu-Gadu protocol
Review Request: kadu - An instant messanger compatile with the Gadu-Gadu prot...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: RevisionTracker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-13 18:00 EST by Radek Lisowski
Modified: 2010-09-01 01:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: kadu-0.6.5.4-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 23:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Radek Lisowski 2010-03-13 18:00:59 EST
Spec URL: http://ds.pk.edu.pl/~radekl/kadu/kadu.spec
SRPM URL: http://ds.pk.edu.pl/~radekl/kadu/kadu-0.6.5.4-1.fc12.src.rpm
Description: Kadu is a dynamically evolving instant messenger compatible with the Gadu-Gadu protocol.(version 0.6.5.4).\

This is my first package, need a sponsor.
If links are down, mail me I'll upload it elsewhere
Comment 1 Dominik 'Rathann' Mierzejewski 2010-03-18 05:44:26 EDT
It's been more than 3 months since the last real update of this package, so a re-review is, in fact, necessary (https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_an_Orphaned_Package_Procedure). I'll review this in the next few days if nobody else beats me to it.
Comment 2 Julian Sikorski 2010-03-18 15:27:20 EDT
http://homepage.hispeed.ch/belegdol/kadu.spec

This is what I came up with. Feel free to use it to improve your spec.
Comment 3 Julian Sikorski 2010-03-18 15:34:46 EDT
http://homepage.hispeed.ch/belegdol/kadu-0.6.5.4-1.fc14.src.rpm

I realised that I updated more than just a spec, here's the source rpm.
Comment 4 Dominik 'Rathann' Mierzejewski 2010-03-20 11:14:32 EDT
Full review:

rpmlint output (src.rpm only, as it doesn't build):
$ rpmlint build/RPMS/kadu-0.6.5.4-1.fc14.src.rpm 
kadu.src:15: W: setup-not-in-prep
kadu.src: W: mixed-use-of-spaces-and-tabs (spaces: line 130, tab: line 105)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Looks fine.

-powerkadu subpackage Summary should be improved. Also, module subpackage summaries should mention kadu in my opinion (feel free to ignore).

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/kadu.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/kadu.desktop
You don't need -r when removing single files. I'd drop the -f, too. That way you will know when these files disappear.
Actually, instead of providing your own .desktop file as Source:, you should patch the included one if necessary and send the patch upstream.
You wouldn't need to rm it, then, just run desktop-file-install --delete-original and use the installed one as source.

I think some or all of the modules that have separate tarballs should be moved to separate packages. Some of them even have independent versioning, which is not reflected in their subpackage Version: tags. Not terribly important at the moment.

Lots of files have no copyright assignment and no licensing information. Please contact the respective upstreams to correct that.

globalhotkeys and panelkadu modules are licensed under GPLv3, thus their subpackage License: tags need updating.

GPLv3 text is missing, please contact respective upstreams to add it to their tarballs.

You don't need %if ... %endif around subpackage definitions, only their %files sections. Removing these will make the specfile a bit more legible.

f6290d67c0f45b3f43ff3f35e780615f  anonymous_check-0.6.5.3-1.tar.bz2
97cb72c0ab4b5cf897bfbfc3b5ac0379  kadu-0.6.5.4.tar.bz2
7b8b4b93bef27ff9dd815a7ccfb28cd7  kadu-osd_hints-0.1.3.tar.bz2
cba771287dce1894d4bfbaae57e15bae  kadu-powerkadu-2.1.2.tar.bz2
2c9950d67172f99523093d22bc396524  kadu-split_messages-0.3.tar.bz2
b0dc5d909d9b7094bafd24a18b9b3b80  kadu-tabs-1.2.3.tar.bz2
6abcc3ab992daeb9820f9156d8d76020  led_notify-0.23.tar.bz2
85fdf695c7fbc58e607dc15278391ab3  mail-0.3.6.tar.bz2
f15b1c1e8933c9ba5a81cc8e19aeadc7  mime_tex-0.6.5.3.tar.bz2
59f7ba01a63464818acaa5ff6fd176d5  plus_pl_sms-0.6.5.4-1.tar.bz2
2b28612576276fc2b87120093428965b  globalhotkeys-0.6.5-15.tar.gz
139948fe1197ff8f2a2e0dd52bc2bfc8  panelkadu-0.6.5-5.tar.gz
a58b2be2ee7e4489dc80f629b7e6f8f3  senthistory-0.6.5-5.tar.gz


--2010-03-20 15:08:11--  http://kadu.net/~patryk/plus_pl_sms/plus_pl_sms-0.6.5.4-1.tar.bz2
Resolving kadu.net... 212.33.90.181
Connecting to kadu.net|212.33.90.181|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-03-20 15:08:12 ERROR 404: Not Found.


Doesn't build in mock/rawhide/x86_64:
/usr/bin/ld: CMakeFiles/kadu.dir/activate.cpp.o: undefined reference to symbol 'XSendEvent'
/usr/bin/ld: note: 'XSendEvent' is defined in DSO /usr/lib64/libX11.so.6 so try adding it to the linker command line
/usr/lib64/libX11.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
Comment 5 Julian Sikorski 2010-03-20 11:24:09 EDT
My source RPM builds fine in F-13 without DSO issues, so it seems that some modules need updating. I was told, though, that not all external modules are fully up-to-date:
http://www.kadu.net/forum/viewtopic.php?f=1&t=10429
Comment 6 Julian Sikorski 2010-03-20 11:44:23 EDT
I take that back, doesn't build on rawhide here either. But F-13 has implicit linking disabled too, hasn't it?
Comment 7 Julian Sikorski 2010-03-23 19:09:24 EDT
http://homepage.hispeed.ch/belegdol/kadu.spec
http://homepage.hispeed.ch/belegdol/kadu-0.6.5.4-2.fc14.src.rpm

Changes:
- Dropped separate sources for powerkadu, split_messages and osd_hints modules - 
  they are now part of the main tarball
- Updated tabs module to 1.2.7
- Drop shipping the desktop file separately
- Added GPLv3+ License tag to panelkadu and globalhotkeys
- Dropped conditionals around subpackage definitions
- Added now explicitly needed ldflags

This can serve as a band-aid solution until Radek has time to overhaul the package more.
Comment 8 Radek Lisowski 2010-03-23 19:17:23 EDT
Thanks for advices and help, I'll get it all work by the end of the week. Just couldn't do it earlier.
Comment 9 Julian Sikorski 2010-03-23 19:23:26 EDT
Cool. Please base your work on my spec since it's in much better shape than what's in cvs.
Comment 10 Julian Sikorski 2010-03-23 19:24:46 EDT
This also might be relevant:
http://www.kadu.net/forum/viewtopic.php?f=1&t=10429
Comment 11 Radek Lisowski 2010-03-28 12:20:39 EDT
Ok, I've checked whole spec file, and fixed things that needed it. URL to plus_sms module is now correct, added License tags to modules, that haven't got one. (Found them in source files of the modules). Updated descriptions and summaries as Dominik noticed, and removed those if-endif clauses. Everything builds on fc12, couldn't test it on koji, couldn't even setup enviroment by using fedora-packager-setup. Receiving following error:

$ fedora-packager-setup 
Setting up Fedora packager environment
Traceback (most recent call last):
  File "/usr/bin/fedora-packager-setup", line 140, in <module>
    main()
  File "/usr/bin/fedora-packager-setup", line 114, in main
    if certificate_expired():
NameError: global name 'certificate_expired' is not defined

Here are SPEC and SRPM files:
http://ds.pk.edu.pl/~radekl/kadu/kadu.spec
http://ds.pk.edu.pl/~radekl/kadu/kadu-0.6.5.4-3.fc12.src.rpm
Comment 12 Julian Sikorski 2010-06-20 14:52:42 EDT
ping
Comment 13 Radek Lisowski 2010-06-20 16:17:25 EDT
Waiting for Dominik to finish this sponsor thing.
Comment 14 Dominik 'Rathann' Mierzejewski 2010-07-08 16:50:18 EDT
Sorry it took so long, but I have sponsored you just now, based on your work on this package and your review of perl-HTTP-Lite. Welcome aboard!

You can take ownership of kadu (devel, F-13 and F-12) now and commit your changes.

Package is APPROVED.
Comment 15 Radek Lisowski 2010-07-28 11:08:10 EDT
Package Change Request
======================
Package Name: kadu
New Branches: devel F-13 F-12
Owners: radekl

It's an orphaned package, and I want to take the ownership for just mentioned branches.
Comment 16 Paul Howarth 2010-07-28 11:15:29 EDT
You don't need a package change request for that.

Just log into pkgdb, browse to the kadu package and click "Take Ownership" for the branches you're interested in.
Comment 17 Kevin Fenzi 2010-07-30 16:22:20 EDT
This seems to be done via the web interface. 
Clearing the fedora-cvs flag now. Reset if you need anything further here.
Comment 18 Radek Lisowski 2010-08-22 16:56:44 EDT
At last I handled commiting new updates with git and everything is ready to go. Version 0.6.5.4 has been put in dist-{f12,f13,f14}-update-candidates. Now working on 0.6.6-beta for rawhide.
Comment 19 Julian Sikorski 2010-08-23 12:41:36 EDT
You need to submit an update:
https://fedoraproject.org/wiki/Package_update_HOWTO
Comment 20 Fedora Update System 2010-08-23 12:47:59 EDT
kadu-0.6.5.4-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kadu-0.6.5.4-4.fc13
Comment 21 Fedora Update System 2010-08-23 12:48:04 EDT
kadu-0.6.5.4-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/kadu-0.6.5.4-4.fc14
Comment 22 Fedora Update System 2010-08-23 12:48:09 EDT
kadu-0.6.5.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kadu-0.6.5.4-4.fc12
Comment 23 Radek Lisowski 2010-08-23 12:51:13 EDT
Right, missed that.
Comment 24 Fedora Update System 2010-08-23 15:03:19 EDT
kadu-0.6.5.4-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kadu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kadu-0.6.5.4-4.fc14
Comment 25 Fedora Update System 2010-08-31 23:23:21 EDT
kadu-0.6.5.4-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-08-31 23:28:33 EDT
kadu-0.6.5.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2010-09-01 01:49:56 EDT
kadu-0.6.5.4-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.